import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

import 'package:hangman/provider/data.dart';
import 'package:hangman/screens/game.dart';
import 'package:hangman/screens/home.dart';
import 'package:hangman/screens/scores.dart';
import 'package:hangman/utils/constants.dart';

void main() => runApp(const Hangman());

class Hangman extends StatelessWidget {
  const Hangman({super.key});

  @override
  Widget build(BuildContext context) {
    return ChangeNotifierProvider(
      create: (BuildContext context) => Data(),
      child: Consumer<Data>(
        builder: (context, data, child) {
          return MaterialApp(
            debugShowCheckedModeBanner: false,
            theme: ThemeData(
              primaryColor: const Color(darkGreen),
              visualDensity: VisualDensity.adaptivePlatformDensity,
            ),
            home: const Home(),
            routes: {
              Home.id: (context) => const Home(),
              Game.id: (context) => const Game(),
              Scores.id: (context) => const Scores(),
            },
          );
        },
      ),
    );
  }
}
